<?php
/**
 * $Horde: nic/finger.php,v 1.42 2006/01/01 21:11:32 jan Exp $
 *
 * Copyright 1998-2006 Charles J. Hagenbuch, <chuck@horde.org>
 * Copyright 2001-2006 Jon Parise, <jon@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';
require_once NIC_BASE . '/lib/Finger.php';

$title = Nic::getServiceName('finger');
require NIC_TEMPLATES . '/common-header.inc';
require NIC_TEMPLATES . '/menu.inc';

$address = Util::getFormData('address');

if (!empty($address)) {
    $address_link = Horde::link($registry->call('mail/compose', array(array('to' => $address, 'label' => $address))), sprintf(_("Send mail to %s"), $address)) . "$address</a>";
    $results = nl2br(Text::htmlspaces(finger($address)));
}
require NIC_TEMPLATES . '/finger/finger.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
