<?php if (!empty($results)): ?>
<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
  <td class="text">
    <?php printf(_("Results for the DNS lookup on %s"), $addr) ?>
    <br />
    <div class="fixed"><?php echo $results ?></div>
  </td>
</tr>
</table>
<br />
<?php endif; ?>

<form action="<?php echo Horde::selfUrl() ?>" method="get">
<?php echo Util::formInput() ?>
<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
  <td class="header" align="left">
    &nbsp;<?php echo _("Type the domain, servername or IP and select the type of DNS records you want to lookup:") ?>
  </td>
</tr>
<tr>
  <td>
    <input type="text" size="30" name="addr" value="<?php print $addr; ?>">
    <select name="type">
      <option value="A"><?php echo _("A") ?></option>
      <option value="MX"><?php echo _("MX (Mail eXchange)") ?></option>
      <option value="NS"><?php echo ("NS (Nameserver)") ?></option>
      <option value="CNAME"><?php echo _("CNAME") ?></option>
      <option value="TXT"><?php echo _("Text") ?></option>
      <option value="SOA"><?php echo _("SOA") ?></option>
      <option value="HINFO"><?php echo _("Hinfo") ?></option>
    </select>
    <input class="button" type="submit" value="<?php echo _("Lookup!") ?>">
  </td>
</tr>
</table>
</form>
